Upstream information

CVE-2011-0536 at MITRE

Description

Multiple untrusted search path vulnerabilities in elf/dl-object.c in certain modified versions of the GNU C Library (aka glibc or libc6), including glibc-2.5-49.el5_5.6 and glibc-2.12-1.7.el6_0.3 in Red Hat Enterprise Linux, allow local users to gain privileges via a crafted dynamic shared object (DSO) in a subdirectory of the current working directory during execution of a (1) setuid or (2) setgid program that has $ORIGIN in (a) RPATH or (b) RUNPATH within the program itself or a referenced library. NOTE: this issue exists because of an incorrect fix for CVE-2010-3847.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.9
Vector AV:L/AC:M/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 1008255 [RESOLVED / DUPLICATE], 687510 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • glibc >= 2.11.1-0.30.1
  • glibc-32bit >= 2.11.1-0.58.1
  • glibc-devel >= 2.11.1-0.30.1
  • glibc-devel-32bit >= 2.11.1-0.58.1
  • glibc-html >= 2.11.1-0.30.1
  • glibc-i18ndata >= 2.11.1-0.30.1
  • glibc-info >= 2.11.1-0.30.1
  • glibc-locale >= 2.11.1-0.30.1
  • glibc-locale-32bit >= 2.11.1-0.58.1
  • glibc-locale-x86 >= 2.11.1-0.38.1
  • glibc-profile >= 2.11.1-0.30.1
  • glibc-profile-32bit >= 2.11.1-0.58.1
  • glibc-profile-x86 >= 2.11.1-0.38.1
  • glibc-x86 >= 2.11.1-0.38.1
  • libxcrypt >= 3.0.3-0.4.1
  • libxcrypt-32bit >= 3.0.3-0.4.1
  • nscd >= 2.11.1-0.30.1
  • pam-modules >= 11-1.18.1
  • pam-modules-32bit >= 11-1.18.1
  • pwdutils >= 3.2.8-0.4.1
  • pwdutils-plugin-audit >= 3.2.8-0.4.1
Patchnames:
slessp1-glibc
Open Enterprise Server
  • glibc >= 2.3.3-98.121
  • glibc-devel >= 2.3.3-98.121
  • glibc-html >= 2.3.3-98.121
  • glibc-i18ndata >= 2.3.3-98.121
  • glibc-info >= 2.3.3-98.121
  • glibc-locale >= 2.3.3-98.121
  • glibc-profile >= 2.3.3-98.121
  • nscd >= 2.3.3-98.121
  • timezone >= 2.3.3-98.121
Builds
YOU Patch Nr: 12775
SUSE Linux Enterprise Software Development Kit 11 SP1
  • glibc-html >= 2.11.1-0.30.1
  • glibc-info >= 2.11.1-0.30.1
Builds
SAT Patch Nr: 4572
SUSE Linux Enterprise Desktop 11 SP1
  • glibc >= 2.11.1-0.30.1
  • glibc-devel >= 2.11.1-0.30.1
  • glibc-i18ndata >= 2.11.1-0.30.1
  • glibc-locale >= 2.11.1-0.30.1
  • nscd >= 2.11.1-0.30.1
Builds
SAT Patch Nr: 4572
SUSE Linux Enterprise Desktop 11 SP1
  • glibc >= 2.11.1-0.30.1
  • glibc-32bit >= 2.11.1-0.30.1
  • glibc-devel >= 2.11.1-0.30.1
  • glibc-devel-32bit >= 2.11.1-0.30.1
  • glibc-i18ndata >= 2.11.1-0.30.1
  • glibc-locale >= 2.11.1-0.30.1
  • glibc-locale-32bit >= 2.11.1-0.30.1
  • nscd >= 2.11.1-0.30.1
Builds
SAT Patch Nr: 4572
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • glibc >= 2.11.1-0.30.1
  • glibc-devel >= 2.11.1-0.30.1
  • glibc-html >= 2.11.1-0.30.1
  • glibc-i18ndata >= 2.11.1-0.30.1
  • glibc-info >= 2.11.1-0.30.1
  • glibc-locale >= 2.11.1-0.30.1
  • glibc-profile >= 2.11.1-0.30.1
  • nscd >= 2.11.1-0.30.1
Builds
SAT Patch Nr: 4572
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • glibc >= 2.11.1-0.30.1
  • glibc-32bit >= 2.11.1-0.30.1
  • glibc-devel >= 2.11.1-0.30.1
  • glibc-devel-32bit >= 2.11.1-0.30.1
  • glibc-html >= 2.11.1-0.30.1
  • glibc-i18ndata >= 2.11.1-0.30.1
  • glibc-info >= 2.11.1-0.30.1
  • glibc-locale >= 2.11.1-0.30.1
  • glibc-locale-32bit >= 2.11.1-0.30.1
  • glibc-profile >= 2.11.1-0.30.1
  • glibc-profile-32bit >= 2.11.1-0.30.1
  • nscd >= 2.11.1-0.30.1
Builds
SAT Patch Nr: 4572
SUSE Linux Enterprise Server 11 SP1
  • glibc >= 2.11.1-0.30.1
  • glibc-devel >= 2.11.1-0.30.1
  • glibc-html >= 2.11.1-0.30.1
  • glibc-i18ndata >= 2.11.1-0.30.1
  • glibc-info >= 2.11.1-0.30.1
  • glibc-locale >= 2.11.1-0.30.1
  • glibc-locale-x86 >= 2.11.1-0.30.1
  • glibc-profile >= 2.11.1-0.30.1
  • glibc-profile-x86 >= 2.11.1-0.30.1
  • glibc-x86 >= 2.11.1-0.30.1
  • nscd >= 2.11.1-0.30.1
Builds
SAT Patch Nr: 4572
SUSE Linux Enterprise Desktop 10 SP4 for x86
  • glibc >= 2.4-31.91.1
  • glibc-devel >= 2.4-31.91.1
  • glibc-html >= 2.4-31.91.1
  • glibc-i18ndata >= 2.4-31.91.1
  • glibc-info >= 2.4-31.91.1
  • glibc-locale >= 2.4-31.91.1
  • nscd >= 2.4-31.91.1
Builds
ZYPP Patch Nr: 7574
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
  • glibc >= 2.4-31.91.1
  • glibc-32bit >= 2.4-31.91.1
  • glibc-devel >= 2.4-31.91.1
  • glibc-devel-32bit >= 2.4-31.91.1
  • glibc-html >= 2.4-31.91.1
  • glibc-i18ndata >= 2.4-31.91.1
  • glibc-info >= 2.4-31.91.1
  • glibc-locale >= 2.4-31.91.1
  • glibc-locale-32bit >= 2.4-31.91.1
  • nscd >= 2.4-31.91.1
Builds
ZYPP Patch Nr: 7574
SLE SDK 10 SP4 for x86
  • glibc-dceext >= 2.4-31.91.1
  • glibc-html >= 2.4-31.91.1
  • glibc-profile >= 2.4-31.91.1
Builds
ZYPP Patch Nr: 7574
SLE SDK 10 SP4 for IPF
  • glibc-dceext >= 2.4-31.91.1
  • glibc-dceext-x86 >= 2.4-31.91.1
  • glibc-html >= 2.4-31.91.1
  • glibc-profile >= 2.4-31.91.1
  • glibc-profile-x86 >= 2.4-31.91.1
Builds
ZYPP Patch Nr: 7574
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
  • glibc-dceext >= 2.4-31.91.1
  • glibc-dceext-64bit >= 2.4-31.91.1
  • glibc-html >= 2.4-31.91.1
  • glibc-profile >= 2.4-31.91.1
  • glibc-profile-64bit >= 2.4-31.91.1
Builds
ZYPP Patch Nr: 7574
SLE SDK 10 SP4 for IBM zSeries
SLE SDK 10 SP4 for X86-64
  • glibc-dceext >= 2.4-31.91.1
  • glibc-dceext-32bit >= 2.4-31.91.1
  • glibc-html >= 2.4-31.91.1
  • glibc-profile >= 2.4-31.91.1
  • glibc-profile-32bit >= 2.4-31.91.1
Builds
ZYPP Patch Nr: 7574
SUSE Linux Enterprise Server 10 SP4 for x86
  • glibc >= 2.4-31.91.1
  • glibc-devel >= 2.4-31.91.1
  • glibc-html >= 2.4-31.91.1
  • glibc-i18ndata >= 2.4-31.91.1
  • glibc-info >= 2.4-31.91.1
  • glibc-locale >= 2.4-31.91.1
  • glibc-profile >= 2.4-31.91.1
  • nscd >= 2.4-31.91.1
Builds
ZYPP Patch Nr: 7574
SUSE Linux Enterprise Server 10 SP4 for IPF
  • glibc >= 2.4-31.91.1
  • glibc-devel >= 2.4-31.91.1
  • glibc-html >= 2.4-31.91.1
  • glibc-i18ndata >= 2.4-31.91.1
  • glibc-info >= 2.4-31.91.1
  • glibc-locale >= 2.4-31.91.1
  • glibc-locale-x86 >= 2.4-31.91.1
  • glibc-profile >= 2.4-31.91.1
  • glibc-profile-x86 >= 2.4-31.91.1
  • glibc-x86 >= 2.4-31.91.1
  • nscd >= 2.4-31.91.1
Builds
ZYPP Patch Nr: 7574
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • glibc >= 2.4-31.91.1
  • glibc-64bit >= 2.4-31.91.1
  • glibc-devel >= 2.4-31.91.1
  • glibc-devel-64bit >= 2.4-31.91.1
  • glibc-html >= 2.4-31.91.1
  • glibc-i18ndata >= 2.4-31.91.1
  • glibc-info >= 2.4-31.91.1
  • glibc-locale >= 2.4-31.91.1
  • glibc-locale-64bit >= 2.4-31.91.1
  • glibc-profile >= 2.4-31.91.1
  • glibc-profile-64bit >= 2.4-31.91.1
  • nscd >= 2.4-31.91.1
Builds
ZYPP Patch Nr: 7574
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • glibc >= 2.4-31.91.1
  • glibc-32bit >= 2.4-31.91.1
  • glibc-devel >= 2.4-31.91.1
  • glibc-devel-32bit >= 2.4-31.91.1
  • glibc-html >= 2.4-31.91.1
  • glibc-i18ndata >= 2.4-31.91.1
  • glibc-info >= 2.4-31.91.1
  • glibc-locale >= 2.4-31.91.1
  • glibc-locale-32bit >= 2.4-31.91.1
  • glibc-profile >= 2.4-31.91.1
  • glibc-profile-32bit >= 2.4-31.91.1
  • nscd >= 2.4-31.91.1
Builds
ZYPP Patch Nr: 7574
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • glibc >= 2.4-31.77.84.1
  • glibc-32bit >= 2.4-31.77.84.1
  • glibc-devel >= 2.4-31.77.84.1
  • glibc-devel-32bit >= 2.4-31.77.84.1
  • glibc-html >= 2.4-31.77.84.1
  • glibc-i18ndata >= 2.4-31.77.84.1
  • glibc-info >= 2.4-31.77.84.1
  • glibc-locale >= 2.4-31.77.84.1
  • glibc-locale-32bit >= 2.4-31.77.84.1
  • glibc-profile >= 2.4-31.77.84.1
  • glibc-profile-32bit >= 2.4-31.77.84.1
  • nscd >= 2.4-31.77.84.1
Builds
ZYPP Patch Nr: 7575
SUSE Linux Enterprise SDK 10 SP3
  • glibc-dceext >= 2.4-31.77.84.1
  • glibc-html >= 2.4-31.77.84.1
  • glibc-profile >= 2.4-31.77.84.1
Builds
ZYPP Patch Nr: 7575
SUSE Linux Enterprise SDK 10 SP3
  • glibc-dceext >= 2.4-31.77.84.1
  • glibc-dceext-x86 >= 2.4-31.77.84.1
  • glibc-html >= 2.4-31.77.84.1
  • glibc-profile >= 2.4-31.77.84.1
  • glibc-profile-x86 >= 2.4-31.77.84.1
Builds
ZYPP Patch Nr: 7575
SUSE Linux Enterprise SDK 10 SP3
  • glibc-dceext >= 2.4-31.77.84.1
  • glibc-dceext-64bit >= 2.4-31.77.84.1
  • glibc-html >= 2.4-31.77.84.1
  • glibc-profile >= 2.4-31.77.84.1
  • glibc-profile-64bit >= 2.4-31.77.84.1
Builds
ZYPP Patch Nr: 7575
SUSE Linux Enterprise SDK 10 SP3
  • glibc-dceext >= 2.4-31.77.84.1
  • glibc-dceext-32bit >= 2.4-31.77.84.1
  • glibc-html >= 2.4-31.77.84.1
  • glibc-profile >= 2.4-31.77.84.1
  • glibc-profile-32bit >= 2.4-31.77.84.1
Builds
ZYPP Patch Nr: 7575
SUSE Linux Enterprise Server 10 SP3
  • glibc >= 2.4-31.77.84.1
  • glibc-devel >= 2.4-31.77.84.1
  • glibc-html >= 2.4-31.77.84.1
  • glibc-i18ndata >= 2.4-31.77.84.1
  • glibc-info >= 2.4-31.77.84.1
  • glibc-locale >= 2.4-31.77.84.1
  • glibc-profile >= 2.4-31.77.84.1
  • nscd >= 2.4-31.77.84.1
Builds
ZYPP Patch Nr: 7575
SUSE Linux Enterprise Server 10 SP3
  • glibc >= 2.4-31.77.84.1
  • glibc-devel >= 2.4-31.77.84.1
  • glibc-html >= 2.4-31.77.84.1
  • glibc-i18ndata >= 2.4-31.77.84.1
  • glibc-info >= 2.4-31.77.84.1
  • glibc-locale >= 2.4-31.77.84.1
  • glibc-locale-x86 >= 2.4-31.77.84.1
  • glibc-profile >= 2.4-31.77.84.1
  • glibc-profile-x86 >= 2.4-31.77.84.1
  • glibc-x86 >= 2.4-31.77.84.1
  • nscd >= 2.4-31.77.84.1
Builds
ZYPP Patch Nr: 7575
SUSE Linux Enterprise Server 10 SP3
  • glibc >= 2.4-31.77.84.1
  • glibc-64bit >= 2.4-31.77.84.1
  • glibc-devel >= 2.4-31.77.84.1
  • glibc-devel-64bit >= 2.4-31.77.84.1
  • glibc-html >= 2.4-31.77.84.1
  • glibc-i18ndata >= 2.4-31.77.84.1
  • glibc-info >= 2.4-31.77.84.1
  • glibc-locale >= 2.4-31.77.84.1
  • glibc-locale-64bit >= 2.4-31.77.84.1
  • glibc-profile >= 2.4-31.77.84.1
  • glibc-profile-64bit >= 2.4-31.77.84.1
  • nscd >= 2.4-31.77.84.1
Builds
ZYPP Patch Nr: 7575


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 glibc Released
SLED-10-SP4 glibc Released
SLES-10-SP3 glibc Released
SLES-10-SP4 glibc Released
SLES_LTSS-10-SP4 glibc Released
SUSE Linux Enterprise Desktop 11 SP1 glibc Released
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search glibc Released
SUSE Linux Enterprise Server 11 SP1 glibc Released
SUSE Linux Enterprise Server 11 SP1 LTSS glibc Released
SUSE Linux Enterprise Server for SAP Business All-in-One glibc Released
SUSE Linux Enterprise Software Development Kit 11 SP1 glibc Released